## ximagesink ximagesink — A standard X based videosink |

## Properties

gchar * | display | Read / Write
gboolean | force-aspect-ratio | Read / Write
gboolean | handle-events | Read / Write
gboolean | handle-expose | Read / Write
gchar * | pixel-aspect-ratio | Read / Write
gboolean | synchronous | Read / Write
guint64 | window-height | Read
guint64 | window-width | Read

## Types and Values

struct | GstXImageSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstXImageSink

## Implemented Interfaces

GstXImageSink implements GstNavigation and GstVideoOverlay.

## Description

## Synopsis

### Element Information

plugin | ximagesink
author | Julien Moutte <julien@moutte.net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstXImageSink

    struct GstXImageSink;

## Property Details

### The `“display”` property

      “display”                  gchar *

X Display name.

Flags: Read / Write

Default value: NULL

### The `“force-aspect-ratio”` property

      “force-aspect-ratio”       gboolean

When enabled, reverse caps negotiation (scaling) will respect original aspect ratio.

Flags: Read / Write

Default value: TRUE

### The `“handle-events”` property

      “handle-events”            gboolean

When enabled, XEvents will be selected and handled.

Flags: Read / Write

Default value: TRUE

### The `“handle-expose”` property

      “handle-expose”            gboolean

When enabled, the current frame will always be drawn in response to X Expose events.

Flags: Read / Write

Default value: TRUE

### The `“pixel-aspect-ratio”` property

      “pixel-aspect-ratio”       gchar *

The pixel aspect ratio of the device.

Flags: Read / Write

Default value: "1/1"

### The `“synchronous”` property

      “synchronous”              gboolean

When enabled, runs the X display in synchronous mode. (unrelated to A/V sync, used only for debugging).

Flags: Read / Write

Default value: FALSE

### The `“window-height”` property

      “window-height”            guint64

Height of the window.

Flags: Read

Default value: 0

### The `“window-width”` property

      “window-width”             guint64

Width of the window.

Flags: Read

Default value: 0